<!DOCTYPE html>
<html>
<title>YT Stream</title>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Montserrat">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
<style>
    .user_name{
    font-size:14px;
    font-weight: bold;
    }
    .comments-list .media{
        border-bottom: 1px dotted #ccc;
    }
    body,
    h1,
    h2,
    h3,
    h4,
    h5,
    h6 {
        font-family: "Lato", sans-serif
    }

    .w3-bar,
    h1,
    button {
        font-family: "Montserrat", sans-serif
    }

    .fa-anchor,
    .fa-coffee {
        font-size: 200px
    }
</style>


<body onload="test()">

    <script type="text/javascript" src="flashphoner/flashphoner.js"></script>
    <script type="text/javascript" src="flashphoner/dependencies/jquery/jquery-1.12.0.js"></script>
    <script type="text/javascript" src="flashphoner/dependencies/js/utils.js"></script>
    <script type="text/javascript" src="flashphoner/dependencies/swf/swfobject.js"></script>
    <script type="text/javascript" src="flashphoner/manager.js"></script>

    <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>

    <div id="fb-root"></div>
    <script>
        function toLive() {
            window.location.replace("live.html");
        }
        function myFunction() {
            var x = document.getElementById("navDemo");
            if (x.className.indexOf("w3-show") == -1) {
                x.className += " w3-show";
            } else {
                x.className = x.className.replace(" w3-show", "");
            }
        }
        var fbUserData1 = sessionStorage.getItem("fbUserData");
        var fbUserData = JSON.parse(fbUserData1)
        var accessToken = sessionStorage.getItem("accessToken");
        var video1 = sessionStorage.getItem("video")
        var video = JSON.parse(video1)
        var videoURL = `${video.stream_url}`
        var videoID = `${video.id}`
        var rtmpURL = 'rtmp://live-api-s.facebook.com:80/rtmp/'
        var streamName = videoURL.replace('rtmp://live-api-s.facebook.com:80/rtmp/','')
        function test() {
            //console.log(response)
            console.log(accessToken);
            console.log(fbUserData);
            console.log(rtmpURL);
            console.log(streamName);
            var liveCommentURL = `https://streaming-graph.facebook.com/${videoID}/live_comments?access_token=${accessToken}&fields=from{name,id},message`;
            console.log(liveCommentURL);
            document.getElementById('rtmpUrl').value = rtmpURL
            setInterval(function(){
                FB.api(
                    `/${videoID}?fields=live_views`,
                    'GET',
                    { access_token: accessToken },
                    function (response) {
                    if (response && !response.error) {
                        console.log (response);
                        var viewers = response.live_views;
                        document.getElementById('viewers').innerHTML = `Viewes: ${viewers}`;
                    }
                    else{
                        console.log(response);
                    }
                    }
                )
            }, 3000);
            document.getElementById('streamName').value = streamName
            var source = new EventSource(liveCommentURL);
            source.onmessage = function(event) {
                console.log(event)
                //var comment = JSON.parse(event)
                var comment = JSON.parse(event.data)
                var commentFromName = comment.from.name;
                var commentFromId = comment.from.id;
                var commentMessage = comment.message;
                var old = document.getElementById('commentbox').innerHTML
                document.getElementById('commentbox').innerHTML = `${old}
                        <div class="media" style="border-style: solid;">
                            <a class="media-left" href="#">
                              <img src="https://graph.facebook.com/${commentFromId}/picture?return_ssl_resources=1">
                            </a>
                            <div class="media-body">
                                
                              <h4 class="media-heading user_name">${commentFromName}</h4>
                              ${commentMessage}
                              
                            </div>
                          </div>}`
            };
        }

        window.fbAsyncInit = function () {
            FB.init({
                appId: '539405933176043',
                cookie: true,
                xfbml: true,
                version: 'v3.1'
            });

            FB.AppEvents.logPageView();
        };

        (function (d, s, id) {
            var js, fjs = d.getElementsByTagName(s)[0];
            if (d.getElementById(id)) return;
            js = d.createElement(s); js.id = id;
            js.src = 'https://connect.facebook.net/en_US/sdk.js#xfbml=1&version=v3.1&appId=539405933176043&autoLogAppEvents=1';
            fjs.parentNode.insertBefore(js, fjs);
        }(document, 'script', 'facebook-jssdk'));

        function checkLoginState() {
            FB.getLoginStatus(function (response) {
                statusChangeCallback(response);
            });
        }

        function statusChangeCallback(response) {
            if (response.status === 'connected') {
                FB.logout(function (response) {
                    window.location.replace("../index.html");
                });
            } else {
                alert("Failed")
            }
        }

        //below is the json /livevideoid/comments reply patter from graph API
        /*
        {
        "data": [
            {
            "created_time": "2018-12-11T18:45:42+0000",
            "from": {
                "name": "BigFat Liong",
                "id": "2832993000059558"
            },
            "message": "test comment",
            "id": "3008737329151790_3008740775818112"
            }
        ],
        "paging": {
            "cursors": {
            "before": "QVFIUlJfV2xVS01MSnV1aDJuMGhlX1ExUTkyYURmTHVmT3A4ZAjhpYzNLclhFQlVSc25YMFQzczN6b053Skc0WEVGNVdDT3RuUVZAnY3ZAhVlREYWhBMUw5RlBB",
            "after": "QVFIUlJfV2xVS01MSnV1aDJuMGhlX1ExUTkyYURmTHVmT3A4ZAjhpYzNLclhFQlVSc25YMFQzczN6b053Skc0WEVGNVdDT3RuUVZAnY3ZAhVlREYWhBMUw5RlBB"
            }
        }
        }
        */

        $(document).ready(function(){
            $('#publishBtn').trigger("click");
        })
    </script>



    <!-- Navbar -->
    <div class="w3-top">
        <div class="w3-bar w3-red w3-card w3-left-align w3-large">
            <a class="w3-bar-item w3-button w3-hide-medium w3-hide-large w3-right w3-padding-large w3-hover-white w3-large w3-red"
                href="javascript:void(0);" onclick="myFunction()" title="Toggle Navigation Menu"><i class="fa fa-bars"></i></a>
            <a href="checklogin.html" class="w3-bar-item w3-button w3-padding-large w3-hower-white">Home</a>
            <a href="console.php" class="w3-bar-item w3-button w3-hide-small w3-padding-large w3-hover-white">Product</a>
            <a href="#" class="w3-bar-item w3-button w3-hide-small w3-padding-large w3-white">Live</a>
            <a href="#" onclick="checkLoginState()" class="w3-bar-item w3-button w3-hide-small w3-padding-large w3-hover-white">Log
                out</a>
        </div>

        <!-- Navbar on small screens -->
        <div id="navDemo" class="w3-bar-block w3-white w3-hide w3-hide-large w3-hide-medium w3-large">
            <a href="checklogin.html" class="w3-bar-item w3-button w3-padding-large">Home</a>
            <a href="#" class="w3-bar-item w3-button w3-padding-large">Product</a>
            <a href="#" class="w3-bar-item w3-button w3-padding-large">Live</a>
            <a href="#" onclick="checkLoginState()" class="w3-bar-item w3-button w3-padding-large">Log out</a>
        </div>
    </div>

    <!-- Header -->
    <header class="w3-container w3-red w3-center" style="padding:128px 16px">
        <br />
        <br />
        <div class="fp-Video">
                    <div id="localVideo" class="display"></div>
        </div>
        <input type="hidden" id="url" value="wss://sellerdomain.tk:8443">
        <input type="hidden" class="form-control" id="rtmpUrl" value="rtmp://localhost:1935/live"/>
        <input type="hidden" class="form-control" id="streamName"/>
        <div class="input-group-btn">
            <button id="publishBtn" type="button" class="btn btn-default">Start</button>
            <div class="form-group" id="screenShareForm">
                            <label style="text-align: left" class="col-sm-4 control-label">Screen share</label>
                            <div class="col-sm-6">
                                <input id="screenShareToggle" type="checkbox" />
                            </div>
                        </div>
            <div class="form-group" id="mediaSourceForm">
                            <span class="text-muted"></span>
                            <label style="text-align: left" class="col-sm-4 control-label">Screen share source</label>
                            <div class="col-sm-6">
                                <select id="mediaSource" class="form-control">
                                    <option value="screen">Screen</option>
                                    <option value="window">Window</option>
                                </select>
                            </div>
        </div>
        <div class="text-center" style="margin-top: 20px">
            <div id="status"></div>
        </div>
        <div id="player"></div>
        <div id="viewers">Viewers: 0</div>
        <div id="commentbox" style="width: 500;height: 300px;overflow: auto;"></div>
    </header>

</body>

</html>